Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.versification.system
Class SystemOrthodox

    java.lang.Object
      org.crosswire.jsword.versification.Versification
          org.crosswire.jsword.versification.system.SystemOrthodox

All Implemented Interfaces:
  Serializable, ReferenceSystem

    public class SystemOrthodox

extends Versification

Orthodox is based on the LXX versification system. q.v. for more information on the method of its compilation. However, this versification system differs from the LXX system in that the book order follows that seen in modern Orthodox Bibles and books seen in some editions of the LXX but absent from modern Orthodox Bibles have been omitted.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`, Serialized Form

Field Summary
`(package private) static BibleBook[]` | `BOOKS_NT`
`(package private) static BibleBook[]` | `BOOKS_OT`
`(package private) static int[][]` | `LAST_VERSE_NT`
`(package private) static int[][]` | `LAST_VERSE_OT` Constant for the max verse number in each chapter
`private static long` | `serialVersionUID` Serialization ID
`static String` | `V11N_NAME`

Constructor Summary
`SystemOrthodox()` Build the "Orthodox" Versification.

Method Summary

Methods inherited from class org.crosswire.jsword.versification.Versification
`add, containsBook, decodeOrdinal, distance, dump, getAllVerses, getBook, getBook, getBookCount, getBookCount, getBookIterator, getBookName, getChapterCount, getCount, getFirstBook, getLastBook, getLastChapter, getLastVerse, getLongName, getName, getNextBook, getOrdinal, getOrdinal, getPreferredName, getPreviousBook, getShortName, getTestament, getTestamentOrdinal, isAdjacentBook, isAdjacentChapter, isAdjacentVerse, isBook, isBookIntro, isChapterIntro, isEndOfBook, isEndOfChapter, isIntro, isSameBook, isSameChapter, isStartOfBook, isStartOfChapter, max, maximumOrdinal, min, next, optimize, patch, subtract, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V11N_NAME

    public static final String V11N_NAME

See Also:
  Constant Field Values

### BOOKS_OT

    static final BibleBook[] BOOKS_OT

### BOOKS_NT

    static final BibleBook[] BOOKS_NT

### LAST_VERSE_OT

    static final int[][] LAST_VERSE_OT

  Constant for the max verse number in each chapter

### LAST_VERSE_NT

    static final int[][] LAST_VERSE_NT

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### SystemOrthodox

    SystemOrthodox()

  Build the "Orthodox" Versification.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD